package com.philisense.www.service.impl;


import com.philisense.www.dao.ProUserTagsDAO;
import com.philisense.www.service.ProUserTagsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProUserTagsServiceImpl implements ProUserTagsService {

@Autowired
private ProUserTagsDAO proUserTagsDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proUserTagsDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proUserTagsDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proUserTagsDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proUserTagsDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proUserTagsDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proUserTagsDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proUserTagsDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proUserTagsDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proUserTagsDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proUserTagsDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proUserTagsDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proUserTagsDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proUserTagsDAO.updateBatch(list);
}
}